- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
RagTime5GraphInternal::ClusterGraphic Struct Reference

the shape cluster More...

Inheritance diagram for RagTime5GraphInternal::ClusterGraphic:

## Public Member Functions
| ClusterGraphic ()
| constructor More...
virtual | ~ClusterGraphic ()
| destructor More...
Public Member Functions inherited from RagTime5ClusterManager::Cluster
| Cluster ()
| constructor More...
virtual | ~Cluster ()
| destructor More...

## Public Attributes
std::vector< RagTime5ClusterManager::Link > | m_transformationLinks
| the list of transformation's link More...
std::vector< RagTime5ClusterManager::Link > | m_dimensionLinks
| the list of dimension's link More...
RagTime5ClusterManager::Link | m_clusterLinks [3]
| two cluster links: list of pipeline: fixedSize=12, second list with field size 10), fixedSize=8 More...
Public Attributes inherited from RagTime5ClusterManager::Cluster
Type | m_type
| the cluster type More...
int | m_zoneId
| the zone id More...
bool | m_hiLoEndian
| the cluster hiLo endian More...
Link | m_dataLink
| the main data link More...
Link | m_nameLink
| the name link More...
Link | m_fieldClusterLink
| the field cluster links (def and pos) More...
std::vector< Link > | m_conditionFormulaLinks
| the conditions formula links More...
std::vector< Link > | m_settingLinks
| the settings links More...
std::vector< Link > | m_linksList
| the link list More...
std::vector< int > | m_clusterIdsList
| the cluster ids More...

## Additional Inherited Members
Public Types inherited from RagTime5ClusterManager::Cluster
enum | Type { C_ColorPattern, C_Fields, C_Layout, C_Pipeline, C_Root, C_Script, C_ColorStyles, C_FormatStyles, C_GraphicStyles, C_TextStyles, C_UnitStyles, C_ClusterB, C_ClusterC, C_Unknown }
| the cluster type More...

## Detailed Description

the shape cluster

## Constructor & Destructor Documentation

RagTime5GraphInternal::ClusterGraphic::ClusterGraphic | ( |  | ) |
| inline

constructor

virtual RagTime5GraphInternal::ClusterGraphic::~ClusterGraphic | ( |  | ) |
| inline virtual

destructor

## Member Data Documentation

RagTime5ClusterManager::Link RagTime5GraphInternal::ClusterGraphic::m_clusterLinks[3]

two cluster links: list of pipeline: fixedSize=12, second list with field size 10), fixedSize=8

std::vector<RagTime5ClusterManager::Link> RagTime5GraphInternal::ClusterGraphic::m_dimensionLinks

the list of dimension's link

std::vector<RagTime5ClusterManager::Link> RagTime5GraphInternal::ClusterGraphic::m_transformationLinks

the list of transformation's link

The documentation for this struct was generated from the following file:

- RagTime5Graph.cxx